%-------------------------------------------------------------------
%Plot Parameters of Interest
%function []=plothist(x,xi,xc,xd,time)
%global KD0 KD1 pT pL pf Kwdot KTP KTI KLP KLI Kf Tmax Vmin

d2r=pi/180;r2d=1/d2r;g=32.2;fps2mph=3600/5280;m2f=5280;f2m=1/m2f;kts2mph=6080/5280;
%V=x(1,:)*fps2mph;GAMMA=x(2,:)*r2d;PSI=x(3,:)*r2d;Xt=x(4,:)*f2m;Yt=x(5,:)*f2m;Ht=x(6,:);
%m=x(7,:);Weight=32.2*m;Thrust=x(8,:);Lift=x(9,:);PHI=x(10,:)*r2d;
%Vt=xi(1,:)*fps2mph;GAMt=xi(2,:)*r2d;hdoti=xi(3,:);PSIt=xi(4,:)*r2d;
%Vc=xc(1,:)*fps2mph;GAMc=xc(2,:)*r2d;PSIc=xc(3,:)*r2d;
%Vd=xd(1,:)*fps2mph;GAMd=xd(2,:)*r2d;PSId=xd(3,:)*r2d;

%for i=1:length(L)
%	D(i)=KD0*V(i)^2+KD1*(L(i)/V(i))^2;
	%gamc(i)=r2d*asin(hdotc(i)/Vc(i));
%end
%Tmax=72000;

Vkts=Airspeed/kts2mph;Vckts=Vc/kts2mph;Vtkts=V/kts2mph;Vdkts=Vd/kts2mph;
hdotc=(60*Vc/fps2mph).*GAMc/57.3;
hdot=(60*V/fps2mph).*GAMMA/57.3;

iskips=input('PLOT FIRST MINUTE (y/n): ','s');
if iskips=='n',iskip=1;else,iskip=0;end
if iskip==0,

for i=1:length(time), 
if time(i) >= 60, ls=i; times=time(1:ls); break, end 
end
oT=ones(size(times));

plot(times,Vkts(1:ls),'-',times,Vckts(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('V (kts)')
title('Airspeed (Solid), Comm. Inertial Velocity (Dashed)')
pause
plot(times,Vtkts(1:ls),'-',times,Vdkts(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('V (kts)')
title('Inertial Velocity (Solid), Commanded Inertial Velocity (Dashed)')
pause
plot(times,Thrust(1:ls),'-',times,Drag(1:ls),'-.',times,Tmax*oT,'--'),grid
xlabel('Time (Sec)'),ylabel('Thrust & Drag (Lbs)')
title('Thrust (Solid), Drag (Dashed-Dot), Tmax (Dashed)')
pause

plot(times,GAMMA(1:ls),'-',times,GAMc(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('GAMMA (Deg)')
title('Flight Path (Solid), Comm. Inertial F. P. (Dashed)')
pause
axis([0,60,3,5.5]);
%plot(times,GAMt(1:ls),'-',times,GAMd(1:ls),'--'),grid
%xlabel('Time (Sec)'),ylabel('GAMMA (Deg)')
%title('Inertial Flight Path (Solid), Commanded Inertial F. P. (Dashed)')
%pause
plot(times,hdot(1:ls),'-',times,hdotc(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('hdot (fpm)')
title('Inertial Rate of Climb (Solid), Commanded Rate of Climb (Dashed)')
pause
axis;
plot(times,Lift(1:ls),'-',times,Weight(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('Lift (Lbs)')
title('Lift (Solid), Weight (Dashed)')
pause
plot(times,alpha(1:ls)),grid
xlabel('Time (Sec)'),ylabel('AOA (Deg)')
title('Angle of Attack (AOA)')
pause
plot(times,PSI(1:ls),'-',times,PSIc(1:ls),'--'),grid
xlabel('Time (Sec)'),ylabel('PSI (Deg)')
title('Heading Angle wrt Air Mass (Solid), Comm. Inertial H. A. (Dashed)')
pause
%plot(times,PSIt(1:ls),'-',times,PSId(1:ls),'--'),grid
%xlabel('Time (Sec)'),ylabel('PSI (Deg)')
%title('Inertial Heading (Solid), Commanded Inertial Heading (Dashed)')
%pause
axis([0,60,0,15]);
plot(times,PHI(1:ls)),grid
xlabel('Time (Sec)'),ylabel('PHI (Deg)'),title('Bank Angle')
pause
axis;

end
%-------------------------------------------------------------------
iskips=input('PLOT FULL HISTORY (y/n): ','s');
if iskips=='n',iskip=1;else,iskip=0;end
if iskip==0,

timem=(1/60)*time;oT=ones(size(time));
plot(timem,Vkts,'-',timem,Vckts,'--'),grid
xlabel('Time (Min)'),ylabel('V (kts)')
title('Airspeed (Solid), Comm. Inertial Velocity (Dashed)')
pause
plot(timem,Vtkts,'-',timem,Vdkts,'--',timem,Vkts,'-.'),grid
xlabel('Time (Min)'),ylabel('V (kts)')
title('Inertial Velocity (Solid), Commanded Inertial Velocity (Dashed),Airspeed (Dash-Dot)')
pause
plot(timem,Thrust,'-',timem,Drag,'-.',timem,Tmax*oT,'--'),grid
xlabel('Time (Min)'),ylabel('Thrust & Drag (Lbs)')
title('Thrust (Solid), Drag (Dash-Dot), Tmax (Dashed)')
pause

%plot(timem,GAMMA,'-',timem,GAMc,'--'),grid
%xlabel('Time (Min)'),ylabel('GAMMA (Deg)')
%title('Flight Path wrt Air Mass (Solid), Comm. Inertial F. P. (Dashed)')
%pause
plot(timem,GAMMA,'-',timem,GAMd,'--'),grid
xlabel('Time (Min)'),ylabel('GAMMA (Deg)')
title('Inertial Flight Path (Solid), Commanded Inertial Flight Path (Dashed)')
pause
plot(timem,hdot,'-',timem,hdotc,'--'),grid
xlabel('Time (Min)'),ylabel('hdot (fpm)')
title('Inertial Rate of Climb (Solid), Commanded Rate of Climb (Dashed)')
pause
plot(timem,Lift,'-',timem,Weight,'--'),grid
xlabel('Time (Min)'),ylabel('Lift (Lbs)')
title('Lift (Solid), Weight (Dashed)')
pause
plot(timem,alpha,'-'),grid
xlabel('Time (Min)'),ylabel('AOA (deg)')
title('Angle of Attack (AOA)')
pause
%plot(timem,PSI,'-',timem,PSIc,'--'),grid
%xlabel('Time (Min)'),ylabel('PSI (Deg)')
%title('Heading Angle wrt Air Mass (Solid), Comm. H. A. (Dashed)')
%pause
plot(timem,PSI,'-',timem,PSId,'--'),grid
xlabel('Time (Min)'),ylabel('PSI (Deg)')
title('Inertial Heading (Solid), Commanded Heading (Dashed)')
pause
plot(timem,PHI),grid
xlabel('Time (Min)'),ylabel('PHI (Deg)'),title('Bank Angle')
pause

end
%-------------------------------------------------------------------
iskips=input('PLOT TRAJECTORY (y/n): ','s');
if iskips=='n',iskip=1;else,iskip=0;end
if iskip==0,

%axis([-1e4,4e4,3e4,8e4]);
%axis('square');
plot(Yt,Xt),grid
xlabel('Yi ~ Miles'),ylabel('Xi ~ Miles')
title('Inertial Cross Range -vs- Inertial Down Range')
pause

%axis('normal');
%axis([0,11e4,1e4,1.55e4]);
plot(Xt,Ht),grid
xlabel('Xi ~ Miles'),ylabel('Hi ~ Feet')
title('Down Range -vs- Altitude')
pause

end

return
